be.fgov.ehealth.hubservices.core.v2

## Class SelectGetAccessRightType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.SelectGetAccessRightType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:26:42+02:00",
                 comments="JAXB RI v2.3.7")
      public class SelectGetAccessRightType
      extends Object
      implements Serializable

  Java class for SelectGetAccessRightType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetAccessRightType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetAccessRightType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionIdType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setTransaction(TransactionIdType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetAccessRightType

          public SelectGetAccessRightType()

  - ### Method Detail

    - #### getTransaction

          public TransactionIdType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionIdType`

    - #### setTransaction

          public void setTransaction(TransactionIdType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionIdType`

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.